SoComplexityElement(3)

NAME
SoComplexityElement - The SoComplexityElement class contains the current shape complexity for a graph traverser.

SYNOPSIS

#include <Inventor/elements/SoComplexityElement.h>

Inherits SoFloatElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
Public Member Functions inherited from SoFloatElement
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const
virtual void print (FILE *file) const
virtual void setElt (float value)
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const float complexity)
FIXME: write doc.
static void set (SoState *const state, const float complexity)
FIXME: write doc.
static float get (SoState *const state)
FIXME: write doc.
static float getDefault (void)
FIXME: write doc.
Static Public Member Functions inherited from SoFloatElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
static void set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void set (const int stackIndex, SoState *const state, const float value)
static float get (const int stackIndex, SoState *const state)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoComplexityElement ()
Protected Member Functions inherited from SoFloatElement
virtual ~SoFloatElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoFloatElement
float data
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoComplexityElement class contains the current shape complexity for a graph traverser.

Constructor & Destructor Documentation

  SoComplexityElement::~SoComplexityElement (void ) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoComplexityElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

This static method returns the class type.

  int SoComplexityElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoComplexityElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoComplexityElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoComplexityElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoFloatElement.

Author

Generated automatically by Doxygen for Coin from the source code.